"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConversationDirective = void 0;
const name = 'conversation';
const definition = `
  directive @${name}(
    aiModel: String
    functionName: String
    systemPrompt: String
    tools: [ToolMap]
    inferenceConfiguration: InferenceConfiguration
  ) on FIELD_DEFINITION

  input ToolMap {
    name: String
    description: String
  }

  input InferenceConfiguration {
    maxTokens: Int
    temperature: Float
    topP: Float
  }
`;
const defaults = {};
exports.ConversationDirective = {
    name,
    definition,
    defaults,
};
//# sourceMappingURL=conversation.js.map